# Enum TGetTableTypesResp._Fields

java.lang.Object
java.lang.Enum<TGetTableTypesResp._Fields>
com.databricks.jdbc.model.client.thrift.generated.TGetTableTypesResp._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TGetTableTypesResp._Fields>`, `java.lang.constant.Constable`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  `TGetTableTypesResp`

public static enum TGetTableTypesResp._Fields extends Enum<TGetTableTypesResp._Fields> implements org.apache.thrift.TFieldIdEnum
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DIRECT_RESULTS`
`OPERATION_HANDLE`
`STATUS`

## Method Summary

Modifier and Type
Method
Description
`static TGetTableTypesResp._Fields`
`findByName(String name)`
Find the _Fields constant that matches name, or null if its not found.
`static TGetTableTypesResp._Fields`
`findByThriftId(int fieldId)`
Find the _Fields constant that matches fieldId, or null if its not found.
`static TGetTableTypesResp._Fields`
`findByThriftIdOrThrow(int fieldId)`
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String`
`getFieldName()`
`short`
`getThriftFieldId()`
`static TGetTableTypesResp._Fields`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TGetTableTypesResp._Fields[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STATUS

public static final TGetTableTypesResp._Fields STATUS

### OPERATION_HANDLE

public static final TGetTableTypesResp._Fields OPERATION_HANDLE

### DIRECT_RESULTS

public static final TGetTableTypesResp._Fields DIRECT_RESULTS

## Method Details

### values

public static TGetTableTypesResp._Fields[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TGetTableTypesResp._Fields valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### findByThriftId

public static TGetTableTypesResp._Fields findByThriftId(int fieldId)
Find the _Fields constant that matches fieldId, or null if its not found.

### findByThriftIdOrThrow

public static TGetTableTypesResp._Fields findByThriftIdOrThrow(int fieldId)
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

### findByName

public static TGetTableTypesResp._Fields findByName(String name)
Find the _Fields constant that matches name, or null if its not found.

### getThriftFieldId

public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

### getFieldName

public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`